map: MACRO
;\1: map name: for the MapAttributes pointer (see data/maps/attributes.asm)
;\2: tileset: a TILESET_* constant
;\3: environment: TOWN, ROUTE, INDOOR, CAVE, ENVIRONMENT_5, GATE, or DUNGEON
;\4: location: a LANDMARK_* constant
;\5: music: a MUSIC_* constant
;\6: phone service flag: TRUE to prevent phone calls
;\7: time of day: a PALETTE_* constant
;\8: fishing group: a FISHGROUP_* constant
	db BANK(\1_MapAttributes), \2, \3
	dw \1_MapAttributes
	db \4, \5
	dn \6, \7
	db \8
ENDM

MapGroupPointers::
; pointers to the first map of each map group
	dw MapGroup_Alloy     ;  1
	dw MapGroup_Sanskrit    ;  2
	dw MapGroup_Dungeons    ;  3
	dw MapGroup_Teknos    ;  4
	dw MapGroup_BlueForest  ;  5
	dw MapGroup_Frostpoint    ;  6
	dw MapGroup_Nago    ;  7
	dw MapGroup_Birdon      ;  8
	dw MapGroup_Kikai  ; kikai
	dw MapGroup_Pagota      ; 10
	dw MapGroup_Westport   ; 11
	dw MapGroup_Amami   ; 12
	dw MapGroup_Koban      ; 13
	dw MapGroup_Kume      ; 14
	dw MapGroup_FastShip    ; 15
	dw MapGroup_MountFuji      ; 16
	dw MapGroup_Stand     ; 17
	dw MapGroup_Lavender    ; 18
	dw MapGroup_Daito      ; daito
	dw MapGroup_CableClub   ; 20
	dw MapGroup_Kanto     ; 21
	dw MapGroup_Sunpoint    ; 22
	dw MapGroup_Iejima    ; iejima
	dw MapGroup_Silent     ; 24
	dw MapGroup_Ryukyu     ; 25
	dw MapGroup_Crown ; 26
	dw MapGroup_Hills

MapGroup_Alloy:
	map AlloyPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_ALLOY_CITY, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AlloyGym, TILESET_CHAMPIONS_ROOM, INDOOR, LANDMARK_ALLOY_CITY, MUSIC_GYM, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map AlloyTimsHouse, TILESET_HOUSE, INDOOR, LANDMARK_ALLOY_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AlloySailorHoOhHouse, TILESET_HOUSE, INDOOR, LANDMARK_ALLOY_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AlloyKobanDifficultSpeechHouse, TILESET_HOUSE, INDOOR, LANDMARK_ALLOY_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AlloyGoodRodHouse, TILESET_HOUSE, INDOOR, LANDMARK_ALLOY_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AlloyCafe, TILESET_GAME_CORNER, INDOOR, LANDMARK_ALLOY_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AlloyMart, TILESET_MART, INDOOR, LANDMARK_ALLOY_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route109Route110Gate, TILESET_GATE, GATE, LANDMARK_ROUTE_109, MUSIC_SILENT_HILLS, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route108, TILESET_NIHON, ROUTE, LANDMARK_ROUTE_108, MUSIC_SILENT_HILLS, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map Route109, TILESET_NIHON, ROUTE, LANDMARK_ROUTE_109, MUSIC_SILENT_HILLS, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map AlloyCity, TILESET_NIHON, TOWN, LANDMARK_ALLOY_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map Route106, TILESET_NIHON, ROUTE, LANDMARK_ROUTE_106, MUSIC_ROUTE_102, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map Route106Pokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_ROUTE_106, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map JadeForestSnorlaxRoom, TILESET_FOREST, CAVE, LANDMARK_JADE_FOREST, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map DayCare, TILESET_HOUSE, INDOOR, LANDMARK_ROUTE_106, MUSIC_BIRDON_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AlloyRoute107Gate, TILESET_GATE, GATE, LANDMARK_ROUTE_107, MUSIC_ROUTE_102, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map FightingDojo, TILESET_TRADITIONAL_HOUSE, INDOOR, LANDMARK_ALLOY_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route109Pokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_ROUTE_109, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Sanskrit:
	map SanskritGamblerManHouse, TILESET_HOUSE, INDOOR, LANDMARK_SANSKRIT_TOWN, MUSIC_CROWN_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SanskritPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_SANSKRIT_TOWN, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RouteU4U, TILESET_BIRDON, ROUTE, LANDMARK_ROUTE_103, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map SanskritTown, TILESET_HONTO, TOWN, LANDMARK_SANSKRIT_TOWN, MUSIC_CROWN_CITY, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map Boardwalk, TILESET_PARK, ROUTE, LANDMARK_BOARDWALK, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map BoardwalkGameCorner, TILESET_GAME_CORNER, INDOOR, LANDMARK_BOARDWALK, MUSIC_GAME_CORNER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route117, TILESET_HONTO, ROUTE, LANDMARK_ROUTE_117, MUSIC_ROUTE_102, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map Route116, TILESET_HONTO, ROUTE, LANDMARK_ROUTE_116, MUSIC_ROUTE_102, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map SanskritRuinsOutside, TILESET_HONTO, ROUTE, LANDMARK_SANSKRIT_RUINS, MUSIC_UNION_CAVE, FALSE, PALETTE_AUTO, FISHGROUP_WATER_4
	map Route118, TILESET_HONTO, ROUTE, LANDMARK_ROUTE_118, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map SanskritMart, TILESET_MART, INDOOR, LANDMARK_SANSKRIT_TOWN, MUSIC_CROWN_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SanskritRuinsResearchCenter, TILESET_LAB, INDOOR, LANDMARK_SANSKRIT_TOWN, MUSIC_CROWN_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SanskritRocketHouse, TILESET_TRAIN_STATION, INDOOR, LANDMARK_SANSKRIT_TOWN, MUSIC_ROCKET_HIDEOUT, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route118SunpointGate, TILESET_GATE, GATE, LANDMARK_ROUTE_118, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Dungeons:
	map FiveFloorTower1F, TILESET_TOWER, DUNGEON, LANDMARK_5_FLOOR_TOWER, MUSIC_TIN_TOWER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map FiveFloorTower2F, TILESET_TOWER, DUNGEON, LANDMARK_5_FLOOR_TOWER, MUSIC_TIN_TOWER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map FiveFloorTower3F, TILESET_TOWER, DUNGEON, LANDMARK_5_FLOOR_TOWER, MUSIC_TIN_TOWER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map HydraulicCave, TILESET_CAVE, DUNGEON, LANDMARK_HYDRO_PLANT, MUSIC_MT_MOON, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map FiveFloorTower4F, TILESET_TOWER, DUNGEON, LANDMARK_5_FLOOR_TOWER, MUSIC_TIN_TOWER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map FiveFloorTower5F, TILESET_TOWER, DUNGEON, LANDMARK_5_FLOOR_TOWER, MUSIC_TIN_TOWER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map TinTower9F, TILESET_TOWER, DUNGEON, LANDMARK_TROPICAL_ISLAND, MUSIC_TIN_TOWER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BurnedTower1F, TILESET_TOWER, DUNGEON, LANDMARK_MAGMA_SHAFT, MUSIC_BURNED_TOWER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BurnedTowerB1F, TILESET_CAVE, CAVE, LANDMARK_MAGMA_SHAFT, MUSIC_BURNED_TOWER, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map NationalPark, TILESET_PARK, ROUTE, LANDMARK_NATIONAL_PARK, MUSIC_NATIONAL_PARK, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map NationalParkBugContest, TILESET_PARK, ROUTE, LANDMARK_NATIONAL_PARK, MUSIC_BUG_CATCHING_CONTEST, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map SanskritRuinsHoOhChamber, TILESET_SANSKRIT_RUINS, DUNGEON, LANDMARK_SANSKRIT_RUINS, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map SanskritRuinsKabutoChamber, TILESET_SANSKRIT_RUINS, DUNGEON, LANDMARK_SANSKRIT_RUINS, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map SanskritRuinsOmanyteChamber, TILESET_SANSKRIT_RUINS, DUNGEON, LANDMARK_SANSKRIT_RUINS, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map SanskritRuinsAerodactylChamber, TILESET_SANSKRIT_RUINS, DUNGEON, LANDMARK_SANSKRIT_RUINS, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map SanskritRuinsInnerChamber, TILESET_SANSKRIT_RUINS, DUNGEON, LANDMARK_SANSKRIT_RUINS, MUSIC_SANSKRIT_RUINS_INTERIOR, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map BoulderMine1F, TILESET_CAVE, CAVE, LANDMARK_BOULDER_MINE, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map BoulderMineB1F, TILESET_DARK_CAVE, CAVE, LANDMARK_BOULDER_MINE, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map BoulderMineB5F, TILESET_ICE_PATH, CAVE, LANDMARK_BOULDER_MINE, MUSIC_UNION_CAVE, TRUE, PALETTE_NITE, FISHGROUP_WATER_3
	map SlowpokeWellB1F, TILESET_DARK_CAVE, CAVE, LANDMARK_SLOWPOKE_WELL, MUSIC_DARK_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map SlowpokeWellB2F, TILESET_DARK_CAVE, CAVE, LANDMARK_SLOWPOKE_WELL, MUSIC_DARK_CAVE, TRUE, PALETTE_DAY, FISHGROUP_WATER_3
	map EndonCave2F, TILESET_DARK_CAVE, CAVE, LANDMARK_ENDON_CAVE, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_WATER_3
	map EndonCaveRuinsConnection, TILESET_DARK_CAVE, CAVE, LANDMARK_ENDON_CAVE, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_WATER_3
	map AlloyLighthouse5F, TILESET_LIGHTHOUSE, DUNGEON, LANDMARK_ENDON_CAVE, MUSIC_LIGHTHOUSE, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AlloyLighthouse6F, TILESET_LIGHTHOUSE, DUNGEON, LANDMARK_ENDON_CAVE, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map OldMahoganyMart1F, TILESET_TRADITIONAL_HOUSE, INDOOR, LANDMARK_SANSKRIT_TOWN, MUSIC_OLD_MAHOGANY_MART, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map TeamRocketBaseOffice, TILESET_OFFICE, DUNGEON, LANDMARK_STAND_CITY, MUSIC_ROCKET_HIDEOUT, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map TeamRocketBaseB1F, TILESET_UNDERGROUND, DUNGEON, LANDMARK_STAND_CITY, MUSIC_ROCKET_HIDEOUT, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map TeamRocketBaseB2F, TILESET_UNDERGROUND, DUNGEON, LANDMARK_STAND_CITY, MUSIC_ROCKET_HIDEOUT, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map JadeForest, TILESET_FOREST, CAVE, LANDMARK_JADE_FOREST, MUSIC_UNION_CAVE, FALSE, PALETTE_DAY, FISHGROUP_WATER_4
	map WestportUndergroundSwitchRoomEntrances, TILESET_ELITE_FOUR_ROOM, DUNGEON, LANDMARK_WESTPORT_CITY, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map WestportDeptStoreB1F, TILESET_UNDERGROUND, DUNGEON, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map WestportUndergroundWarehouse, TILESET_UNDERGROUND, DUNGEON, LANDMARK_WESTPORT_CITY, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map CharredSummitCave, TILESET_DARK_CAVE, CAVE, LANDMARK_CHARRED_SUMMIT, MUSIC_MT_MOON, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map JouleCave1F, TILESET_DARK_CAVE, CAVE, LANDMARK_JOULE_CAVE, MUSIC_MT_MOON, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map JouleCaveZapdosRoom, TILESET_DARK_CAVE, CAVE, LANDMARK_JOULE_CAVE, MUSIC_MT_MOON, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map IcedCavern1F, TILESET_ICE_PATH, CAVE, LANDMARK_ICED_CAVERN, MUSIC_MT_MOON, TRUE, PALETTE_NITE, FISHGROUP_WATER_6
	map IcedCavernB1F, TILESET_ICE_PATH, CAVE, LANDMARK_ICED_CAVERN, MUSIC_MT_MOON, TRUE, PALETTE_NITE, FISHGROUP_NONE
	map DeepwaterPassageB2F, TILESET_ICE_PATH, CAVE, LANDMARK_DEEPWATER_PASSAGE, MUSIC_DARK_CAVE, TRUE, PALETTE_NITE, FISHGROUP_WATER_6
	map MagmaShaftB1F, TILESET_ICE_PATH, CAVE, LANDMARK_MAGMA_SHAFT, MUSIC_DARK_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE; mountain cave
	map MagmaShaftB2F, TILESET_ICE_PATH, CAVE, LANDMARK_MAGMA_SHAFT, MUSIC_DARK_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE; mountain cave
	map MagmaShaft1F, TILESET_ICE_PATH, CAVE, LANDMARK_MAGMA_SHAFT, MUSIC_DARK_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE; mountain cave
	map DeepwaterPassageB1F, TILESET_ICE_PATH, CAVE, LANDMARK_DEEPWATER_PASSAGE, MUSIC_DARK_CAVE, TRUE, PALETTE_NITE, FISHGROUP_WATER_6
	map DeepwaterPassageEastCavern, TILESET_ICE_PATH, CAVE, LANDMARK_DEEPWATER_PASSAGE, MUSIC_DARK_CAVE, TRUE, PALETTE_NITE, FISHGROUP_WATER_6
	map WhirlIslandSuicuneChamber, TILESET_DARK_CAVE, CAVE, LANDMARK_WHIRL_ISLANDS, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_WATER_6
	map WhirlIsland1F, TILESET_DARK_CAVE, CAVE, LANDMARK_WHIRL_ISLANDS, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_WATER_6
	map WhirlIslandSW, TILESET_DARK_CAVE, CAVE, LANDMARK_WHIRL_ISLANDS, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_WATER_6
	map WhirlIslandSE, TILESET_DARK_CAVE, CAVE, LANDMARK_WHIRL_ISLANDS, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_WATER_6
	map WhirlIslandB1F, TILESET_DARK_CAVE, CAVE, LANDMARK_WHIRL_ISLANDS, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_WATER_6
	map WhirlIslandB2F, TILESET_DARK_CAVE, CAVE, LANDMARK_WHIRL_ISLANDS, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_WATER_6
	map WhirlIslandBlisseyChamber, TILESET_DARK_CAVE, CAVE, LANDMARK_WHIRL_ISLANDS, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_WATER_6
	map AmpareCavernB1F, TILESET_DARK_CAVE, CAVE, LANDMARK_AMPARE_CAVERN, MUSIC_DARK_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map AmpareCavern1F, TILESET_DARK_CAVE, CAVE, LANDMARK_AMPARE_CAVERN, MUSIC_DARK_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map DeepwaterPassageEntrance, TILESET_DARK_CAVE, CAVE, LANDMARK_DEEPWATER_PASSAGE, MUSIC_DARK_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map TohjoFalls, TILESET_CAVE, CAVE, LANDMARK_RAINBOW_ISLAND, MUSIC_UNION_CAVE, TRUE, PALETTE_NITE, FISHGROUP_NONE
	map EndonCave1F, TILESET_DARK_CAVE, CAVE, LANDMARK_ENDON_CAVE, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_WATER_3
	map BoulderMineB4F, TILESET_DARK_CAVE, CAVE, LANDMARK_BOULDER_MINE, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map CrownPath, TILESET_DARK_CAVE, CAVE, LANDMARK_CROWN_PATH, MUSIC_MOUNT_FUJI, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map BoulderMineB2F, TILESET_DARK_CAVE, CAVE, LANDMARK_BOULDER_MINE, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_WATER_3
	map BoulderMineB3F, TILESET_DARK_CAVE, CAVE, LANDMARK_BOULDER_MINE, MUSIC_UNION_CAVE, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map SafariZoneStandGateBeta, TILESET_GATE, INDOOR, LANDMARK_STAND_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map NanjoForest, TILESET_FOREST, CAVE, LANDMARK_NANJO_FOREST, MUSIC_UNION_CAVE, FALSE, PALETTE_DAY, FISHGROUP_WATER_4
	map MtFujiInteriorLower, TILESET_DARK_CAVE, CAVE, LANDMARK_MOUNT_FUJI, MUSIC_MT_FUJI_INTERIOR_LOWER, TRUE, PALETTE_DAY, FISHGROUP_WATER_3
	map MtFujiInteriorUpper, TILESET_DARK_CAVE, CAVE, LANDMARK_MOUNT_FUJI, MUSIC_MT_FUJI_INTERIOR_LOWER, TRUE, PALETTE_DAY, FISHGROUP_WATER_3

MapGroup_Teknos:
	map TeknosPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_TEKNOS_CITY, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map TeknosFishingHouse, TILESET_HOUSE, INDOOR, LANDMARK_TEKNOS_CITY, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map TeknosMart, TILESET_MART, INDOOR, LANDMARK_TEKNOS_CITY, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map TeknosItemfinderHouse, TILESET_HOUSE, INDOOR, LANDMARK_TEKNOS_CITY, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map TeknosCity, TILESET_PARK, TOWN, LANDMARK_TEKNOS_CITY, MUSIC_TEKNOS_CITY, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map TeknosPortPassage, TILESET_OFFICE, INDOOR, LANDMARK_TEKNOS_CITY, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map TeknosTradeHouse, TILESET_HOUSE, INDOOR, LANDMARK_TEKNOS_CITY, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map TeknosAquarium1F, TILESET_GAME_CORNER, INDOOR, LANDMARK_TEKNOS_CITY, MUSIC_OLD_MAHOGANY_MART, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map TeknosAquarium2F, TILESET_GAME_CORNER, INDOOR, LANDMARK_TEKNOS_CITY, MUSIC_OLD_MAHOGANY_MART, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map TeknosGym, TILESET_POKECENTER, INDOOR, LANDMARK_TEKNOS_CITY, MUSIC_GYM, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map Route120, TILESET_PARK, ROUTE, LANDMARK_ROUTE_120, MUSIC_ROUTE_105, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map Route119, TILESET_PARK, ROUTE, LANDMARK_ROUTE_119, MUSIC_ROUTE_105, FALSE, PALETTE_AUTO, FISHGROUP_WATER_8; no more qwilfish swarm here

MapGroup_BlueForest:
	map BlueForestDragonSpeechHouse, TILESET_TRADITIONAL_HOUSE, INDOOR, LANDMARK_BLUE_FOREST, MUSIC_BIRDON_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BlueForestEmysHouse, TILESET_HOUSE, INDOOR, LANDMARK_BLUE_FOREST, MUSIC_BIRDON_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BlueForestMart, TILESET_MART, INDOOR, LANDMARK_BLUE_FOREST, MUSIC_BIRDON_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BlueForestPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_BLUE_FOREST, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map MoveDeletersHouse, TILESET_HOUSE, INDOOR, LANDMARK_BLUE_FOREST, MUSIC_BIRDON_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BlueForest, TILESET_BLUE_FOREST, TOWN, LANDMARK_BLUE_FOREST, MUSIC_BIRDON_TOWN, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map Route110, TILESET_BLUE_FOREST, ROUTE, LANDMARK_ROUTE_110, MUSIC_SILENT_HILLS, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map Route110SandstormHouse, TILESET_HOUSE, INDOOR, LANDMARK_ROUTE_110, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BlueForestHouse1, TILESET_HOUSE, INDOOR, LANDMARK_BLUE_FOREST, MUSIC_BIRDON_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BlueForestGym, TILESET_ELITE_FOUR_ROOM, INDOOR, LANDMARK_BLUE_FOREST, MUSIC_GYM, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map BlueForestRoute111Gate, TILESET_GATE, GATE, LANDMARK_ROUTE_111, MUSIC_ROUTE_102, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route112, TILESET_BLUE_FOREST, ROUTE, LANDMARK_ROUTE_112, MUSIC_ROUTE_102, FALSE, PALETTE_AUTO, FISHGROUP_WATER_4
	map Route112StandGate, TILESET_GATE, GATE, LANDMARK_ROUTE_112, MUSIC_ROUTE_102, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Frostpoint:
	map FrostpointPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_FROSTPOINT_TOWN, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map FrostpointPokecenter2FBeta, TILESET_POKECENTER, INDOOR, LANDMARK_FROSTPOINT_TOWN, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map MeridianPathRyukyuGate, TILESET_GATE, GATE, LANDMARK_MERIDIAN_PATH, MUSIC_ROUTE_117, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SeafoamGym, TILESET_CAVE, INDOOR, LANDMARK_NANJO_FOREST, MUSIC_GYM, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map FrostpointTown, TILESET_BLUE_FOREST, TOWN, LANDMARK_FROSTPOINT_TOWN, MUSIC_TEKNOS_CITY, FALSE, PALETTE_AUTO, FISHGROUP_WATER_7
	map Route111, TILESET_BLUE_FOREST, ROUTE, LANDMARK_ROUTE_111, MUSIC_ROUTE_102, FALSE, PALETTE_AUTO, FISHGROUP_WATER_7
	map FrostpointMart, TILESET_MART, INDOOR, LANDMARK_FROSTPOINT_TOWN, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map FrostpointPryceHouse, TILESET_HOUSE, INDOOR, LANDMARK_FROSTPOINT_TOWN, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map FrostpointOtherHouse, TILESET_HOUSE, INDOOR, LANDMARK_FROSTPOINT_TOWN, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Nago:
	map MotobuPath, TILESET_NIHON, ROUTE, LANDMARK_MOTOBU_PATH, MUSIC_URASOE_TRAIL, FALSE, PALETTE_AUTO, FISHGROUP_WATER_4
	map IsenLabBack, TILESET_OFFICE, CAVE, LANDMARK_ISEN_STRAIT, MUSIC_MT_MOON, TRUE, PALETTE_NITE, FISHGROUP_NONE
	map IsenLabFront, TILESET_OFFICE, CAVE, LANDMARK_ISEN_STRAIT, MUSIC_MT_MOON, TRUE, PALETTE_NITE, FISHGROUP_NONE
	map NagoImposterHouse, TILESET_HOUSE, INDOOR, LANDMARK_NAGO_VILLAGE, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map NagoPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_NAGO_VILLAGE, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map NagoPokecenter2FBeta, TILESET_POKECENTER, INDOOR, LANDMARK_NAGO_VILLAGE, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route109Pokecenter2FBeta, TILESET_POKECENTER, INDOOR, LANDMARK_UNUSED_LANDMARK_1, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map MeridianPath, TILESET_NIHON, ROUTE, LANDMARK_MERIDIAN_PATH, MUSIC_ROUTE_117, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map NagoVillage, TILESET_NIHON, TOWN, LANDMARK_NAGO_VILLAGE, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map IsenStrait, TILESET_NIHON, ROUTE, LANDMARK_ISEN_STRAIT, MUSIC_ROUTE_117, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map CharredSummit, TILESET_NIHON, ROUTE, LANDMARK_CHARRED_SUMMIT, MUSIC_ROUTE_117, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map NagoCharmanderHouse, TILESET_HOUSE, INDOOR, LANDMARK_NAGO_VILLAGE, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Birdon:
	map BirdonPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_BIRDON_TOWN, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BirdonMilkBar, TILESET_GAME_CORNER, INDOOR, LANDMARK_BIRDON_TOWN, MUSIC_BIRDON_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BirdonMart, TILESET_MART, INDOOR, LANDMARK_BIRDON_TOWN, MUSIC_BIRDON_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route104, TILESET_BIRDON, ROUTE, LANDMARK_ROUTE_104, MUSIC_ROUTE_102, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map Route105, TILESET_BIRDON, ROUTE, LANDMARK_ROUTE_105, MUSIC_ROUTE_102, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map Route103, TILESET_BIRDON, ROUTE, LANDMARK_ROUTE_103, MUSIC_ROUTE_102, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map BirdonTown, TILESET_BIRDON, TOWN, LANDMARK_BIRDON_TOWN, MUSIC_BIRDON_TOWN, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map BirdonElderHouse, TILESET_TRADITIONAL_HOUSE, INDOOR, LANDMARK_BIRDON_TOWN, MUSIC_BIRDON_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BirdonGym, TILESET_TOWER, INDOOR, LANDMARK_BIRDON_TOWN, MUSIC_GYM, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map Route116BirdonGate, TILESET_GATE, GATE, LANDMARK_ROUTE_116, MUSIC_ROUTE_102, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map CrownLegendarySpeechHouse, TILESET_HOUSE, INDOOR, LANDMARK_BIRDON_TOWN, MUSIC_BIRDON_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route105Route106Gate, TILESET_GATE, GATE, LANDMARK_ROUTE_106, MUSIC_ROUTE_102, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route104GeoffsHouse, TILESET_HOUSE, INDOOR, LANDMARK_ROUTE_105, MUSIC_BIRDON_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Kikai:
	map KikaiStrait, TILESET_NIHON, ROUTE, LANDMARK_KIKAI_STRAIT, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map AmamiTatsugoPathGate, TILESET_GATE, GATE, LANDMARK_AMAMI_TOWN, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map TatsugoPath, TILESET_NIHON, ROUTE, LANDMARK_TATSUGO_PATH, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map KikaiVillageHiddenPowerHouse, TILESET_HOUSE, INDOOR, LANDMARK_KIKAI_VILLAGE, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KikaiVillageMagikarpHouse, TILESET_HOUSE, INDOOR, LANDMARK_KIKAI_VILLAGE, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BoardwalkTeknosGate, TILESET_GATE, GATE, LANDMARK_BOARDWALK, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BoardwalkGate, TILESET_GATE, GATE, LANDMARK_BOARDWALK, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KikaiVillage, TILESET_NIHON, TOWN, LANDMARK_KIKAI_VILLAGE, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map KikaiPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_KIKAI_VILLAGE, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KikaiMart, TILESET_MART, INDOOR, LANDMARK_KIKAI_VILLAGE, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KikaiHouse1, TILESET_HOUSE, INDOOR, LANDMARK_KIKAI_VILLAGE, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KikaiHouse2, TILESET_HOUSE, INDOOR, LANDMARK_KIKAI_VILLAGE, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KikaiCaldera1F, TILESET_ICE_PATH, CAVE, LANDMARK_KIKAI_CALDERA, MUSIC_DARK_CAVE, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KikaiCaldera2F, TILESET_ICE_PATH, CAVE, LANDMARK_KIKAI_CALDERA, MUSIC_DARK_CAVE, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KikaiCaldera3F, TILESET_ICE_PATH, CAVE, LANDMARK_KIKAI_CALDERA, MUSIC_DARK_CAVE, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Pagota:
	map Route102, TILESET_NIHON_OLD, ROUTE, LANDMARK_ROUTE_102, MUSIC_ROUTE_105, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map PagotaCity, TILESET_NIHON_OLD, TOWN, LANDMARK_PAGOTA_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_AUTO, FISHGROUP_WATER_4
	map PagotaMart, TILESET_MART, INDOOR, LANDMARK_PAGOTA_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map PagotaGym, TILESET_ELITE_FOUR_ROOM, INDOOR, LANDMARK_PAGOTA_CITY, MUSIC_GYM, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map PagotaPokemonAcademy, TILESET_TOWER, INDOOR, LANDMARK_PAGOTA_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map PagotaNicknameSpeechHouse, TILESET_TRADITIONAL_HOUSE, INDOOR, LANDMARK_PAGOTA_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map PagotaPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_PAGOTA_CITY, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route112SanskritRuinsGate, TILESET_GATE, GATE, LANDMARK_ROUTE_112, MUSIC_ROUTE_105, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route103WestportGate, TILESET_GATE, GATE, LANDMARK_ROUTE_103, MUSIC_ROUTE_102, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route103NationalParkGate, TILESET_GATE, INDOOR, LANDMARK_ROUTE_103, MUSIC_WESTPORT_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KurtsHouse, TILESET_TRADITIONAL_HOUSE, INDOOR, LANDMARK_PAGOTA_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BillsFamilysHouse, TILESET_TRADITIONAL_HOUSE, INDOOR, LANDMARK_PAGOTA_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map EarlsMuseum, TILESET_TOWER, INDOOR, LANDMARK_PAGOTA_CITY, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route102GameHouse, TILESET_HOUSE, INDOOR, LANDMARK_ROUTE_102, MUSIC_PAGOTA_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route102WestGate, TILESET_GATE, GATE, LANDMARK_ROUTE_102, MUSIC_ROUTE_105, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map DragonsMaw1F, TILESET_DARK_CAVE, INDOOR, LANDMARK_DRAGONS_DEN, MUSIC_DRAGONS_DEN, TRUE, PALETTE_DAY, FISHGROUP_WATER_5

MapGroup_Westport:
	map WestportCity, TILESET_NIHON_MODERN, TOWN, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map WestportBikeShop, TILESET_CHAMPIONS_ROOM, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map WestportHappinessRater, TILESET_HOUSE, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map WestportPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map WestportPPSpeechHouse, TILESET_HOUSE, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map WestportNameRater, TILESET_HOUSE, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map WestportDeptStore1F, TILESET_FACILITY, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map WestportDeptStore2F, TILESET_FACILITY, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map WestportDeptStore3F, TILESET_FACILITY, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map WestportDeptStore4F, TILESET_FACILITY, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map WestportDeptStore5F, TILESET_FACILITY, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map WestportDeptStore6F, TILESET_FACILITY, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map WestportDeptStoreElevator, TILESET_FACILITY, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route115KantoGate, TILESET_GATE, GATE, LANDMARK_ROUTE_115, MUSIC_ROUTE_115, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route113Route114Gate, TILESET_GATE, GATE, LANDMARK_ROUTE_113, MUSIC_ROUTE_102, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map WestportPortPassage, TILESET_OFFICE, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RadioTower1F, TILESET_RADIO_TOWER, INDOOR, LANDMARK_RADIO_TOWER, RADIO_TOWER_MUSIC | MUSIC_WESTPORT_CITY, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map RadioTower2F, TILESET_RADIO_TOWER, INDOOR, LANDMARK_RADIO_TOWER, RADIO_TOWER_MUSIC | MUSIC_WESTPORT_CITY, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map RadioTower3F, TILESET_RADIO_TOWER, INDOOR, LANDMARK_RADIO_TOWER, RADIO_TOWER_MUSIC | MUSIC_WESTPORT_CITY, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map RadioTower4F, TILESET_RADIO_TOWER, INDOOR, LANDMARK_RADIO_TOWER, RADIO_TOWER_MUSIC | MUSIC_WESTPORT_CITY, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map RadioTower5F, TILESET_RADIO_TOWER, INDOOR, LANDMARK_RADIO_TOWER, RADIO_TOWER_MUSIC | MUSIC_WESTPORT_CITY, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map RadioTower6F, TILESET_RADIO_TOWER, INDOOR, LANDMARK_RADIO_TOWER, RADIO_TOWER_MUSIC | MUSIC_WESTPORT_CITY, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map WestportUnderground, TILESET_GATE, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map WestportGym, TILESET_ELITE_FOUR_ROOM, INDOOR, LANDMARK_WESTPORT_CITY, MUSIC_GYM, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map Route101PagotaGate2F, TILESET_GATE, INDOOR, LANDMARK_ROUTE_101, MUSIC_ROUTE_101, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route102WestGate2F, TILESET_GATE, INDOOR, LANDMARK_ROUTE_102, MUSIC_ROUTE_105, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AlloyRoute107Gate2F, TILESET_GATE, INDOOR, LANDMARK_ROUTE_107, MUSIC_ROUTE_102, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Amami:
	map AmamiTown, TILESET_PARK, TOWN, LANDMARK_AMAMI_TOWN, MUSIC_AMAMI_TOWN, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map AmamiFishingSpeechHouse, TILESET_HOUSE, INDOOR, LANDMARK_AMAMI_TOWN, MUSIC_AMAMI_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AmamiPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_AMAMI_TOWN, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AmamiPokecenter2FBeta, TILESET_POKECENTER, INDOOR, LANDMARK_AMAMI_TOWN, MUSIC_AMAMI_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map PokemonFanClub, TILESET_HOUSE, INDOOR, LANDMARK_AMAMI_TOWN, MUSIC_AMAMI_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AmamiMart, TILESET_MART, INDOOR, LANDMARK_AMAMI_TOWN, MUSIC_AMAMI_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AmamiTownHouse2, TILESET_HOUSE, INDOOR, LANDMARK_AMAMI_TOWN, MUSIC_AMAMI_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AmamiPublicPool, TILESET_TRAIN_STATION, INDOOR, LANDMARK_AMAMI_TOWN, MUSIC_AMAMI_TOWN, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuUrasoeParkGate, TILESET_GATE, GATE, LANDMARK_URASOE_PARK, MUSIC_ROUTE_117, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route101NCrownPathEntrance, TILESET_GATE, GATE, LANDMARK_ROUTE_101N, MUSIC_ROUTE_117, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SeasidePath, TILESET_PARK, ROUTE, LANDMARK_SEASIDE_PATH, MUSIC_ROUTE_117, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map AmamiTownSuperRodHouse, TILESET_HOUSE, INDOOR, LANDMARK_AMAMI_TOWN, MUSIC_AMAMI_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Koban:
	map KobanIsland, TILESET_PARK, TOWN, LANDMARK_KOBAN_ISLAND, MUSIC_TEKNOS_CITY, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map Route107, TILESET_PARK, ROUTE, LANDMARK_ROUTE_107, MUSIC_ROUTE_102, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map KobanMart, TILESET_MART, INDOOR, LANDMARK_KOBAN_ISLAND, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KobanHouse2, TILESET_TRADITIONAL_HOUSE, INDOOR, LANDMARK_KOBAN_ISLAND, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KobanHouse1, TILESET_HOUSE, INDOOR, LANDMARK_KOBAN_ISLAND, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KobanPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_KOBAN_ISLAND, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Kume:
	map KumeCity, TILESET_NIHON, TOWN, LANDMARK_KUME_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_AUTO, FISHGROUP_WATER_8
	map KumeShipPartsHouse, TILESET_CHAMPIONS_ROOM, INDOOR, LANDMARK_KUME_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KumeSocialHouse, TILESET_HOUSE, INDOOR, LANDMARK_KUME_CITY, MUSIC_IEJIMA_TOWN, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map KumePokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_KUME_CITY, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KumePokecenter2FBeta, TILESET_POKECENTER, INDOOR, LANDMARK_KUME_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KumeIslandLegendSpeechHouse, TILESET_HOUSE, INDOOR, LANDMARK_KUME_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map UrasoeTrail, TILESET_NIHON, ROUTE, LANDMARK_URASOE_TRAIL, MUSIC_URASOE_TRAIL, FALSE, PALETTE_AUTO, FISHGROUP_WATER_8
	map KeramaStrait, TILESET_NIHON, ROUTE, LANDMARK_KERAMA_STRAIT, MUSIC_URASOE_TRAIL, FALSE, PALETTE_AUTO, FISHGROUP_WATER_8
	map KumePoint, TILESET_NIHON, ROUTE, LANDMARK_KUME_POINT, MUSIC_URASOE_TRAIL, FALSE, PALETTE_AUTO, FISHGROUP_WATER_8
	map KumeMart, TILESET_MART, INDOOR, LANDMARK_KUME_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map ForkedStraitNorth, TILESET_NIHON, ROUTE, LANDMARK_FORKED_STRAIT, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2

MapGroup_FastShip:
	map WestportPort, TILESET_PORT, ROUTE, LANDMARK_WESTPORT_CITY, MUSIC_WESTPORT_CITY, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map AmamiPort, TILESET_PORT, ROUTE, LANDMARK_AMAMI_TOWN, MUSIC_AMAMI_TOWN, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map FastShip1F, TILESET_LIGHTHOUSE, INDOOR, LANDMARK_FAST_SHIP, MUSIC_SS_AQUA, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map FastShipCabins_NNW_NNE_NE, TILESET_LIGHTHOUSE, INDOOR, LANDMARK_FAST_SHIP, MUSIC_SS_AQUA, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map FastShipCabins_SW_SSW_NW, TILESET_LIGHTHOUSE, INDOOR, LANDMARK_FAST_SHIP, MUSIC_SS_AQUA, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map FastShipCabins_SE_SSE_CaptainsCabin, TILESET_LIGHTHOUSE, INDOOR, LANDMARK_FAST_SHIP, MUSIC_SS_AQUA, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map FastShipB1F, TILESET_LIGHTHOUSE, INDOOR, LANDMARK_FAST_SHIP, MUSIC_SS_AQUA, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map AmamiPortPassage, TILESET_OFFICE, INDOOR, LANDMARK_AMAMI_TOWN, MUSIC_AMAMI_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BoulderMineB4FGiftShop, TILESET_TRADITIONAL_HOUSE, INDOOR, LANDMARK_URASOE_PARK, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map FiveFloorTowerRoof, TILESET_TOWER, ROUTE, LANDMARK_5_FLOOR_TOWER, MUSIC_TIN_TOWER, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map TeknosPort, TILESET_PORT, ROUTE, LANDMARK_TEKNOS_CITY, MUSIC_TEKNOS_CITY, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2

MapGroup_MountFuji:
	map FujiSummit, TILESET_NIHON, TOWN, LANDMARK_MOUNT_FUJI, MUSIC_MOUNT_FUJI, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map MountFujiPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_MOUNT_FUJI, MUSIC_MOUNT_FUJI, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map WillsRoom, TILESET_ELITE_FOUR_ROOM, INDOOR, LANDMARK_MOUNT_FUJI, MUSIC_MOUNT_FUJI, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map KogasRoom, TILESET_ELITE_FOUR_ROOM, INDOOR, LANDMARK_MOUNT_FUJI, MUSIC_MOUNT_FUJI, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map AgathasRoom, TILESET_ELITE_FOUR_ROOM, INDOOR, LANDMARK_MOUNT_FUJI, MUSIC_MOUNT_FUJI, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map MistysRoom, TILESET_ELITE_FOUR_ROOM, INDOOR, LANDMARK_MOUNT_FUJI, MUSIC_MOUNT_FUJI, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map LancesRoom, TILESET_CHAMPIONS_ROOM, INDOOR, LANDMARK_MOUNT_FUJI, MUSIC_MOUNT_FUJI, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map HallOfFame, TILESET_ICE_PATH, INDOOR, LANDMARK_MOUNT_FUJI, MUSIC_SILENT_TOWN, TRUE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Stand:
	map RouteU12U, TILESET_KANTO, ROUTE, LANDMARK_TATSUGO_PATH, MUSIC_URASOE_TRAIL, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map RouteU11U, TILESET_KANTO, ROUTE, LANDMARK_KIKAI_STRAIT, MUSIC_URASOE_TRAIL, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map RouteU8U, TILESET_KANTO, ROUTE, LANDMARK_ROUTE_U8U, MUSIC_ROUTE_117, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map StandCity, TILESET_NIHON, TOWN, LANDMARK_STAND_CITY, MUSIC_KANTO_REGION, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map StandMart, TILESET_MART, INDOOR, LANDMARK_STAND_CITY, MUSIC_KANTO_REGION, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map StandCityZooOffice, TILESET_RADIO_TOWER, INDOOR, LANDMARK_STAND_CITY, MUSIC_KANTO_REGION, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map OldFuchsiaGym, TILESET_LAB, INDOOR, LANDMARK_STAND_CITY, MUSIC_GYM, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map BillsBrothersHouse, TILESET_HOUSE, INDOOR, LANDMARK_STAND_CITY, MUSIC_KANTO_REGION, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map StandPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_STAND_CITY, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map StandPokecenter2FBeta, TILESET_POKECENTER, INDOOR, LANDMARK_STAND_CITY, MUSIC_KANTO_REGION, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map StandCityRocketHouse, TILESET_TRAIN_STATION, INDOOR, LANDMARK_STAND_CITY, MUSIC_ROCKET_HIDEOUT, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map StandCityRocketHouse2F, TILESET_TRAIN_STATION, INDOOR, LANDMARK_STAND_CITY, MUSIC_ROCKET_HIDEOUT, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map StandPoke, TILESET_POKECENTER, INDOOR, LANDMARK_STAND_CITY, MUSIC_KANTO_REGION, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map StandGym, TILESET_TOWER, INDOOR, LANDMARK_STAND_CITY, MUSIC_GYM, TRUE, PALETTE_NITE, FISHGROUP_NONE
	map StandCityNationalParkGate, TILESET_GATE, INDOOR, LANDMARK_NATIONAL_PARK, MUSIC_NATIONAL_PARK, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route113, TILESET_NIHON, ROUTE, LANDMARK_ROUTE_113, MUSIC_ROUTE_102, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1

MapGroup_Lavender:
	map TropicalIslandOutside, TILESET_TROPICAL, ROUTE, LANDMARK_TROPICAL_ISLAND, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_AUTO, FISHGROUP_WATER_5
	map RainbowIsland, TILESET_TROPICAL, ROUTE, LANDMARK_RAINBOW_ISLAND, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_AUTO, FISHGROUP_WATER_5
	map ForkedStraitWest, TILESET_TROPICAL, ROUTE, LANDMARK_FORKED_STRAIT, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map ForkedStraitEast, TILESET_TROPICAL, ROUTE, LANDMARK_FORKED_STRAIT, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map TropicalIslandJungle, TILESET_TROPICAL, ROUTE, LANDMARK_TROPICAL_ISLAND, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map LavenderTown, TILESET_KANTO, TOWN, LANDMARK_LAVENDER_TOWN, MUSIC_LAVENDER_TOWN, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map KobanPokecenter2FBeta, TILESET_POKECENTER, INDOOR, LANDMARK_LAVENDER_TOWN, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map MrFujisHouse, TILESET_HOUSE, INDOOR, LANDMARK_LAVENDER_TOWN, MUSIC_LAVENDER_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map UrasoeParkUrasoeTrailGate, TILESET_GATE, GATE, LANDMARK_URASOE_PARK, MUSIC_ROUTE_117, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Daito:
	map GreatEastStrait, TILESET_PARK, ROUTE, LANDMARK_GREAT_EAST_STRAIT, MUSIC_ROUTE_115, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map RouteU5U, TILESET_NIHON, ROUTE, LANDMARK_ALLOY_CITY, MUSIC_MOUNT_FUJI, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map DaitoRanch, TILESET_PARK, TOWN, LANDMARK_DAITO_RANCH, MUSIC_KOBAN_ISLAND, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map DaitoPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_DAITO_RANCH, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map DaitoRanchOrchardHouse, TILESET_HOUSE, INDOOR, LANDMARK_DAITO_RANCH, MUSIC_KOBAN_ISLAND, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map DaitoRanchBarn, TILESET_TRADITIONAL_HOUSE, INDOOR, LANDMARK_DAITO_RANCH, MUSIC_KOBAN_ISLAND, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map DaitoRanchHouse, TILESET_HOUSE, INDOOR, LANDMARK_DAITO_RANCH, MUSIC_KOBAN_ISLAND, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map GardenerGeoffDaitoHouse, TILESET_HOUSE, INDOOR, LANDMARK_DAITO_RANCH, MUSIC_KOBAN_ISLAND, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map DaitoRanchOtherHouse, TILESET_HOUSE, INDOOR, LANDMARK_DAITO_RANCH, MUSIC_KOBAN_ISLAND, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_CableClub:
	map Pokecenter2F, TILESET_POKECENTER, INDOOR, LANDMARK_SPECIAL, MUSIC_POKEMON_CENTER, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map TradeCenter, TILESET_GATE, INDOOR, LANDMARK_SPECIAL, MUSIC_CROWN_CITY, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map Colosseum, TILESET_GATE, INDOOR, LANDMARK_SPECIAL, MUSIC_CROWN_CITY, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map TimeCapsule, TILESET_GATE, INDOOR, LANDMARK_SPECIAL, MUSIC_CROWN_CITY, TRUE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Kanto:
	map RouteU10U, TILESET_KANTO, ROUTE, LANDMARK_KIKAI_CALDERA, MUSIC_ROUTE_117, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map KantoRegion, TILESET_KANTO, TOWN, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map KantoDeptStore1F, TILESET_FACILITY, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoDeptStore2F, TILESET_FACILITY, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoDeptStore3F, TILESET_FACILITY, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoDeptStore4F, TILESET_FACILITY, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoDeptStore5F, TILESET_FACILITY, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoDeptStore6F, TILESET_FACILITY, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoDeptStoreElevator, TILESET_FACILITY, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoMansion1F, TILESET_MANSION, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoMansion2F, TILESET_MANSION, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoMansion3F, TILESET_MANSION, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoMansionRoof, TILESET_MART, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoMansionRoofHouse, TILESET_MANSION, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_KANTO_REGION, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoPokecenter2FBeta, TILESET_POKECENTER, INDOOR, LANDMARK_KANTO_REGION, MUSIC_KANTO_REGION, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoGameCorner, TILESET_GAME_CORNER, INDOOR, LANDMARK_KANTO_REGION, MUSIC_GAME_CORNER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoGameCornerPrizeRoom, TILESET_GAME_CORNER, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoGym, TILESET_ELITE_FOUR_ROOM, INDOOR, LANDMARK_KANTO_REGION, MUSIC_GYM, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map KantoCafe, TILESET_GAME_CORNER, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map ForkedStraitGate, TILESET_GATE, INDOOR, LANDMARK_FORKED_STRAIT, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SeasidePathIsenStraitGate, TILESET_GATE, GATE, LANDMARK_SEASIDE_PATH, MUSIC_ROUTE_117, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoBattleClub1F, TILESET_GATE, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoBattleClubB1F, TILESET_GATE, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoRestaurant, TILESET_LIGHTHOUSE, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map Route114, TILESET_KANTO, ROUTE, LANDMARK_ROUTE_114, MUSIC_ROUTE_117, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map KantoHouse1, TILESET_HOUSE, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoHouse2, TILESET_HOUSE, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoHouse3, TILESET_HOUSE, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoHouse4, TILESET_HOUSE, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Kanto2Pokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_KANTO_REGION, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoMart, TILESET_MART, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SilphCo1F, TILESET_TRAIN_STATION, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoHotel, TILESET_FACILITY, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map OaksLab, TILESET_LAB, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map BluesHouse, TILESET_HOUSE, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RedsHouse1F, TILESET_PLAYERS_HOUSE, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RedsHouse2F, TILESET_PLAYERS_HOUSE, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map KantoLaboratory, TILESET_LAB, INDOOR, LANDMARK_KANTO_REGION, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Sunpoint:
	map SunpointCity, TILESET_SOUTH, TOWN, LANDMARK_SUNPOINT_CITY, MUSIC_TEKNOS_CITY, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map ManiasHouse, TILESET_HOUSE, INDOOR, LANDMARK_SUNPOINT_CITY, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SunpointPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_SUNPOINT_CITY, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SunpointMagmaShaftSpeechHouse, TILESET_HOUSE, INDOOR, LANDMARK_SUNPOINT_CITY, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SunpointDocks, TILESET_PORT, ROUTE, LANDMARK_SUNPOINT_DOCKS, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_AUTO, FISHGROUP_WATER_2
	map SunpointMart, TILESET_MART, INDOOR, LANDMARK_SUNPOINT_CITY, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SunpointDocksGate, TILESET_GATE, GATE, LANDMARK_SUNPOINT_DOCKS, MUSIC_KIKAI_VILLAGE, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route119SunpointGate, TILESET_GATE, GATE, LANDMARK_ROUTE_119, MUSIC_ROUTE_105, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map TeamRocketShipBase, TILESET_LIGHTHOUSE, INDOOR, LANDMARK_SUNPOINT_DOCKS, MUSIC_ROCKET_HIDEOUT, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map SkateboarderHouse, TILESET_HOUSE, INDOOR, LANDMARK_SUNPOINT_CITY, MUSIC_TEKNOS_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Iejima:
	map WeatheredTrail, TILESET_HONTO, ROUTE, LANDMARK_WEATHERED_TRAIL, MUSIC_ROUTE_117, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map RouteU7U, TILESET_KANTO, ROUTE, LANDMARK_ROUTE_U7U, MUSIC_ROUTE_117, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map IejimaTown, TILESET_HONTO, TOWN, LANDMARK_IEJIMA_TOWN, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_AUTO, FISHGROUP_WATER_4
	map ViridianNicknameSpeechHouse, TILESET_HOUSE, INDOOR, LANDMARK_IEJIMA_TOWN, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map TrainerHouse1F, TILESET_HOUSE, INDOOR, LANDMARK_IEJIMA_TOWN, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map TrainerHouseB1F, TILESET_FACILITY, INDOOR, LANDMARK_IEJIMA_TOWN, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SilentPokecenter2FBeta, TILESET_POKECENTER, INDOOR, LANDMARK_IEJIMA_TOWN, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route116NuggetHouse, TILESET_HOUSE, INDOOR, LANDMARK_ROUTE_116, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map CrownPathGate, TILESET_GATE, GATE, LANDMARK_CROWN_PATH, MUSIC_MOUNT_FUJI, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map MotobuPathIejimaGate, TILESET_GATE, GATE, LANDMARK_MOTOBU_PATH, MUSIC_URASOE_TRAIL, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map HydroPlant, TILESET_OFFICE, DUNGEON, LANDMARK_HYDRO_PLANT, MUSIC_ROUTE_117, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map IejimaPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_IEJIMA_TOWN, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map IejimaHouse1, TILESET_HOUSE, INDOOR, LANDMARK_IEJIMA_TOWN, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map IejimaHouse2, TILESET_HOUSE, INDOOR, LANDMARK_IEJIMA_TOWN, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Silent:
	map Route115, TILESET_NIHON, ROUTE, LANDMARK_ROUTE_115, MUSIC_ROUTE_115, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map Route101, TILESET_NIHON, ROUTE, LANDMARK_ROUTE_101, MUSIC_ROUTE_101, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map Route101N, TILESET_NIHON, ROUTE, LANDMARK_ROUTE_101, MUSIC_ROUTE_101, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map SilentTown, TILESET_NIHON, TOWN, LANDMARK_SILENT_TOWN, MUSIC_SILENT_TOWN, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map OakLabFrontRoom, TILESET_LAB, INDOOR, LANDMARK_SILENT_TOWN, MUSIC_POKEMON_TALK, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map OakLabBackRoom, TILESET_LAB, INDOOR, LANDMARK_SILENT_TOWN, MUSIC_POKEMON_TALK, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map PlayersHouse1F, TILESET_PLAYERS_HOUSE, INDOOR, LANDMARK_SILENT_TOWN, MUSIC_SILENT_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map PlayersHouse2F, TILESET_PLAYERS_ROOM, INDOOR, LANDMARK_SILENT_TOWN, MUSIC_SILENT_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map PlayersNeighborsHouse, TILESET_HOUSE, INDOOR, LANDMARK_SILENT_TOWN, MUSIC_SILENT_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RivalsHouse, TILESET_PLAYERS_HOUSE, INDOOR, LANDMARK_SILENT_TOWN, MUSIC_SILENT_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map DayOfWeekSiblingsHouse, TILESET_HOUSE, INDOOR, LANDMARK_ROUTE_U6U, MUSIC_BIRDON_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SilentPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_SILENT_TOWN, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map Route101PagotaGate, TILESET_GATE, GATE, LANDMARK_ROUTE_101, MUSIC_ROUTE_101, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SilentNorth, TILESET_NIHON, TOWN, LANDMARK_SILENT_TOWN, MUSIC_SILENT_TOWN, FALSE, PALETTE_AUTO, FISHGROUP_NONE

MapGroup_Ryukyu:
	map RyukyuCity, TILESET_SOUTH, TOWN, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map RyukyuGym, TILESET_ICE_PATH, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_GYM, TRUE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuMart, TILESET_MART, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuPokecenter2FBeta, TILESET_POKECENTER, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuTradeHouse, TILESET_HOUSE, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuArboretum, TILESET_FOREST, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map CopycatsHouse1F, TILESET_PLAYERS_HOUSE, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map CopycatsHouse2F, TILESET_PLAYERS_HOUSE, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SunpointDocksCrownPathEntrance, TILESET_GATE, GATE, LANDMARK_SUNPOINT_DOCKS, MUSIC_ROUTE_117, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map SunpointDocksCleanseTagHouse, TILESET_HOUSE, INDOOR, LANDMARK_SUNPOINT_DOCKS, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map UrasoePark, TILESET_SOUTH, ROUTE, LANDMARK_URASOE_PARK, MUSIC_ROUTE_117, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map RyukyuOldCoupleHouse, TILESET_HOUSE, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuHotel, TILESET_TRAIN_STATION, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuHotel2F, TILESET_MANSION, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuHotel3F, TILESET_MANSION, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuHotel4F, TILESET_MANSION, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuHotel5F, TILESET_MANSION, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuHotelRooms, TILESET_TRAIN_STATION, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuElevator, TILESET_GAME_CORNER, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_IEJIMA_TOWN, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuRestaurant, TILESET_GAME_CORNER, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_GAME_CORNER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map RyukyuTheatre, TILESET_GAME_CORNER, INDOOR, LANDMARK_RYUKYU_CITY, MUSIC_GAME_CORNER, TRUE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Crown:
	map CrownCity, TILESET_NIHON, TOWN, LANDMARK_CROWN_CITY, MUSIC_CROWN_CITY, FALSE, PALETTE_AUTO, FISHGROUP_WATER_1
	map CrownMart, TILESET_MART, INDOOR, LANDMARK_CROWN_CITY, MUSIC_CROWN_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map CrownPokecenter1F, TILESET_POKECENTER, INDOOR, LANDMARK_CROWN_CITY, MUSIC_POKEMON_CENTER, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map MrPokemonsHouse, TILESET_FACILITY, INDOOR, LANDMARK_ROUTE_105, MUSIC_CROWN_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map MountFujiOutside, TILESET_NIHON, ROUTE, LANDMARK_MOUNT_FUJI, MUSIC_MT_FUJI_INTERIOR_LOWER, FALSE, PALETTE_AUTO, FISHGROUP_NONE
	map CrownHouse1, TILESET_HOUSE, INDOOR, LANDMARK_CROWN_CITY, MUSIC_CROWN_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map CrownHouse2, TILESET_HOUSE, INDOOR, LANDMARK_CROWN_CITY, MUSIC_CROWN_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE
	map CrownCityTrainerHouse, TILESET_LAB, INDOOR, LANDMARK_CROWN_CITY, MUSIC_CROWN_CITY, FALSE, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Hills:
	map SilentHills, TILESET_FOREST, TOWN, LANDMARK_SILENT_HILLS, MUSIC_ROUTE_101, FALSE, PALETTE_AUTO, FISHGROUP_NONE
